package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class CurrentSharedProcessorConfiguration {
    private Metadata metadata;
    private String allocatedVirtualProcessors;
    private String currentMaximumProcessingUnits;
    private String currentMinimumProcessingUnits;
    private String currentProcessingUnits;
    private String currentSharedProcessorPoolID;
    private String currentMinimumVirtualProcessors;
    private String currentMaximumVirtualProcessors;
    private String runtimeProcessingUnits;

    public CurrentSharedProcessorConfiguration() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAllocatedVirtualProcessors() {
        return allocatedVirtualProcessors;
    }

    public void setAllocatedVirtualProcessors(String allocatedVirtualProcessors) {
        this.allocatedVirtualProcessors = allocatedVirtualProcessors;
    }

    public String getCurrentMaximumProcessingUnits() {
        return currentMaximumProcessingUnits;
    }

    public void setCurrentMaximumProcessingUnits(String currentMaximumProcessingUnits) {
        this.currentMaximumProcessingUnits = currentMaximumProcessingUnits;
    }

    public String getCurrentMinimumProcessingUnits() {
        return currentMinimumProcessingUnits;
    }

    public void setCurrentMinimumProcessingUnits(String currentMinimumProcessingUnits) {
        this.currentMinimumProcessingUnits = currentMinimumProcessingUnits;
    }

    public String getCurrentProcessingUnits() {
        return currentProcessingUnits;
    }

    public void setCurrentProcessingUnits(String currentProcessingUnits) {
        this.currentProcessingUnits = currentProcessingUnits;
    }

    public String getCurrentSharedProcessorPoolID() {
        return currentSharedProcessorPoolID;
    }

    public void setCurrentSharedProcessorPoolID(String currentSharedProcessorPoolID) {
        this.currentSharedProcessorPoolID = currentSharedProcessorPoolID;
    }

    public String getCurrentMinimumVirtualProcessors() {
        return currentMinimumVirtualProcessors;
    }

    public void setCurrentMinimumVirtualProcessors(String currentMinimumVirtualProcessors) {
        this.currentMinimumVirtualProcessors = currentMinimumVirtualProcessors;
    }

    public String getCurrentMaximumVirtualProcessors() {
        return currentMaximumVirtualProcessors;
    }

    public void setCurrentMaximumVirtualProcessors(String currentMaximumVirtualProcessors) {
        this.currentMaximumVirtualProcessors = currentMaximumVirtualProcessors;
    }

    public String getRuntimeProcessingUnits() {
        return runtimeProcessingUnits;
    }

    public void setRuntimeProcessingUnits(String runtimeProcessingUnits) {
        this.runtimeProcessingUnits = runtimeProcessingUnits;
    }

    @Override
    public String toString() {
        return "CurrentSharedProcessorConfiguration [metadata=" + metadata + ", allocatedVirtualProcessors="
            + allocatedVirtualProcessors + ", currentMaximumProcessingUnits=" + currentMaximumProcessingUnits
            + ", currentMinimumProcessingUnits=" + currentMinimumProcessingUnits + ", currentProcessingUnits="
            + currentProcessingUnits + ", currentSharedProcessorPoolID=" + currentSharedProcessorPoolID
            + ", currentMinimumVirtualProcessors=" + currentMinimumVirtualProcessors
            + ", currentMaximumVirtualProcessors=" + currentMaximumVirtualProcessors + ", runtimeProcessingUnits="
            + runtimeProcessingUnits + "]";
    }
}
